petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatDenseRestoreColumn

returns access to a column of a dense matrix which is returned by MatDenseGetColumn().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDenseRestoreColumn(Mat A,PetscScalar **vals)

Not Collective

### Input Parameter

mat -a MATSEQDENSE or MATMPIDENSE matrix

### Output Parameter

vals -pointer to the data

### See Also

MatDenseGetColumn()

### Level

intermediate

### Location

src/mat/impls/dense/seq/dense.c

### Examples

src/ts/examples/tutorials/ex20opt_p.c.html
src/ts/examples/tutorials/ex20opt_ic.c.html

### Implementations

MatDenseRestoreColumn_MPIDense in src/mat/impls/dense/mpi/mpidense.c
MatDenseRestoreColumn_SeqDense in src/mat/impls/dense/seq/dense.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages